import type { FileIdUnboxed } from "./FileIdUnboxed";
import type { PreSignedUploadUrlUnboxed } from "./PreSignedUploadUrlUnboxed";
import type { UploadPartIndexUnboxed } from "./UploadPartIndexUnboxed";
import type { UploadPartRangeDto } from "./UploadPartRangeDto";
/**
 * Uploadable file part.
 */
export declare type UploadPartDto = {
    fileId: FileIdUnboxed;
    range: UploadPartRangeDto;
    uploadPartIndex: UploadPartIndexUnboxed;
    uploadUrl: PreSignedUploadUrlUnboxed;
};
